Customers
Get customer
One customer with all of their addresses.
GET
/v1/customers/{customerId}Bearer tokenReturns JSONSuccess 200
Request
Headers
| Field | Type | Description |
|---|---|---|
Authorizationrequired | string | The access token from Get token, as "Bearer <token>". |
Path parameters
| Field | Type | Description |
|---|---|---|
customerIdrequired | string | The customer's id. |
Example request
curl -X GET "https://api.swiftazu.com/v1/customers/8778df1e-9b74-420d-b826-d17cdad86d36" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"Response
Example response · 200
{
"id": "8778df1e-9b74-420d-b826-d17cdad86d36",
"fullName": "Layla Hassan",
"mobile": "+971558250908",
"alternateNumber": null,
"email": "layla.hassan@example.com",
"customerReference": "CUST-1042",
"notes": "Prefers evening delivery",
"createdAt": "2026-10-02T02:30:50.921Z",
"updatedAt": "2026-10-02T02:30:50.946Z",
"addresses": [
{
"id": "0df7f36c-417a-4145-b956-743f66c4f9b7",
"label": "Home",
"contactName": "Layla Hassan",
"contactPhone": "+971558250908",
"deliveryInstructions": "Call on arrival",
"isDefault": true,
"createdAt": "2026-10-02T02:30:50.978Z",
"formattedAddress": "Burj Views B, Downtown Dubai",
"buildingUnit": "Apt 1203",
"postalCode": null,
"countryId": "cfde4319-9563-4d6a-9afa-0f72dad3c718",
"country": "United Arab Emirates",
"stateId": "73ff99bd-ca0e-4ec7-a60e-f314c57c0046",
"state": "Dubai",
"cityId": "23a058c2-9b96-460b-92d8-1196cba2f562",
"city": "Dubai",
"latitude": null,
"longitude": null,
"customFieldValues": {}
}
]
}Errors
| HTTP | Code | Meaning |
|---|---|---|
| 404 | not_found | The record does not exist, or it is not yours. |
Every call can also return the shared errors listed on the Overview page. Overview